/*
 * Copyright  2008 Nokia Corporation.
 */

#ifndef __SPLASHSCREENDIALOG_H__
#define __SPLASHSCREENDIALOG_H__

// INCLUDES
#include <aknquerydialog.h>

class CMobilePaintAppUi;

// CLASS DECLARATION
class CSplashScreenDialog : public CAknQueryDialog
    {
    public: // Constructors and destructor
        CSplashScreenDialog();
        
        virtual ~CSplashScreenDialog();

        void PreLayoutDynInitL();

        void PostLayoutDynInitL();

        TBool OkToExitL(TInt aButtonId);

    public:
        void SizeChanged();
        void CalculatePositionAndSize();
        
    private: // from base classes
        TInt CountComponentControls() const;
        CCoeControl* ComponentControl(TInt aIndex) const;
        void Draw( const TRect& /*aRect*/ ) const;
        void HandleResourceChange(TInt aType);
        void SetSizeAndPosition(const TSize &aSize);

    private: // internal methods
       static TInt HideDialog(TAny* aAny);
       
    private: // data
        CMobilePaintAppUi*  iAppUi;
        CPeriodic*          iPeriodic;

    };

#endif //__SPLASHSCREENDIALOG_H__

