/*
 * Copyright  2008 Nokia Corporation.
 */

#ifndef SVGHANDLER_H
#define SVGHANDLER_H

// INCLUDES
#include <e32std.h>
#include <e32base.h>

const TInt SPLASH_SCREEN_WIDTH = 480;
const TInt SPLASH_SCREEN_LANDSCAPE_HEIGHT = 480;

const TInt SCREEN_WIDTH = 360;
const TInt SCREEN_HEIGHT = 640;

const TInt SCREEN_LANDSCAPE_WIDTH = 640;
const TInt SCREEN_LANDSCAPE_HEIGHT = 360;

class CFbsBitmap;

class CSvgHandler : public CBase
    {
    public:
        virtual ~CSvgHandler ( );
        static CSvgHandler* NewL ( );
        static CSvgHandler* NewLC ( );

    private:
        void LoadSVGsL();
        void LoadBMPsL();
        void LoadIconL(const TDesC& aIconFile, TInt aIndex, CFbsBitmap*& aBitmap, CFbsBitmap*& aMask, TSize aSize);
        void LoadIconL(const TDesC& aIconFile, TInt aIndex, CFbsBitmap*& aBitmap, TSize aSize);        
        
        
    private:
        CSvgHandler ( );
        void ConstructL ( );

        
    private:

    public:
        CFbsBitmap*     iBarPortraitBitmap;
        CFbsBitmap*     iBarPortraitBitmapMask;

        CFbsBitmap*     iBarLandscapeBitmap;
        CFbsBitmap*     iBarLandscapeBitmapMask;

        CFbsBitmap*     iBarWideLandscapeBitmap;
        CFbsBitmap*     iBarWideLandscapeBitmapMask;
        
        CFbsBitmap*     iTooltipBitmap;
        CFbsBitmap*     iTooltipBitmapMask;
        
        CFbsBitmap*     iCircleButtonBitmap;
        CFbsBitmap*     iCircle2ButtonBitmap;
        CFbsBitmap*     iCircleButtonBitmapMask;
        CFbsBitmap*     iCircle2ButtonBitmapMask;
        
        CFbsBitmap*     iColorButtonBitmap;
        CFbsBitmap*     iColor2ButtonBitmap;
        CFbsBitmap*     iColorButtonBitmapMask;
        CFbsBitmap*     iColor2ButtonBitmapMask;
        
        CFbsBitmap*     iExitButtonBitmap;
        CFbsBitmap*     iExit2ButtonBitmap;
        CFbsBitmap*     iExitButtonBitmapMask;
        CFbsBitmap*     iExit2ButtonBitmapMask;
        
        CFbsBitmap*     iLineButtonBitmap;
        CFbsBitmap*     iLine2ButtonBitmap;
        CFbsBitmap*     iLineButtonBitmapMask;
        CFbsBitmap*     iLine2ButtonBitmapMask;
        
        CFbsBitmap*     iMenuButtonBitmap;
        CFbsBitmap*     iMenu2ButtonBitmap;
        CFbsBitmap*     iMenuButtonBitmapMask;
        CFbsBitmap*     iMenu2ButtonBitmapMask;

        CFbsBitmap*     iNewButtonBitmap;
        CFbsBitmap*     iNew2ButtonBitmap;
        CFbsBitmap*     iNewButtonBitmapMask;
        CFbsBitmap*     iNew2ButtonBitmapMask;

        CFbsBitmap*     iPenButtonBitmap;
        CFbsBitmap*     iPen2ButtonBitmap;
        CFbsBitmap*     iPenButtonBitmapMask;
        CFbsBitmap*     iPen2ButtonBitmapMask;

        CFbsBitmap*     iRectButtonBitmap;
        CFbsBitmap*     iRect2ButtonBitmap;
        CFbsBitmap*     iRectButtonBitmapMask;
        CFbsBitmap*     iRect2ButtonBitmapMask;
        
        CFbsBitmap*     iUndoButtonBitmap;
        CFbsBitmap*     iUndo2ButtonBitmap;
        CFbsBitmap*     iUndoButtonBitmapMask;
        CFbsBitmap*     iUndo2ButtonBitmapMask;
        
        CFbsBitmap*     iSplashScreenPortraitBitmap;
        CFbsBitmap*     iSplashScreenPortraitBitmapMask;
        CFbsBitmap*     iSplashScreenLandscapeBitmap;
        CFbsBitmap*     iSplashScreenLandscapeBitmapMask;
        
        CFbsBitmap*     iCBAPortraitBitmap;
        CFbsBitmap*     iCBAPortraitBitmapMask;

        CFbsBitmap*     iCBAPortraitFatBitmap;
        CFbsBitmap*     iCBAPortraitFatBitmapMask;
        
        CFbsBitmap*     iCBALandscapeBitmap;
        CFbsBitmap*     iCBALandscapeBitmapMask;
        
        CFbsBitmap*     iSize1ButtonBitmap;
        CFbsBitmap*     iSize1ButtonBitmapMask;
        CFbsBitmap*     iSize2ButtonBitmap;
        CFbsBitmap*     iSize2ButtonBitmapMask;
        CFbsBitmap*     iSize3ButtonBitmap;
        CFbsBitmap*     iSize3ButtonBitmapMask;
        CFbsBitmap*     iSize1DownButtonBitmap;
        CFbsBitmap*     iSize1DownButtonBitmapMask;
        CFbsBitmap*     iSize2DownButtonBitmap;
        CFbsBitmap*     iSize2DownButtonBitmapMask;
        CFbsBitmap*     iSize3DownButtonBitmap;
        CFbsBitmap*     iSize3DownButtonBitmapMask;
        
    };

#endif // SVGHANDLER_H
