/*
 * Copyright  2008 Nokia Corporation.
 */

// INCLUDE FILES
#include "MobilePaintAppUi.h"
#include "MobilePaintDocument.h"

// ============================ MEMBER FUNCTIONS ===============================

// -----------------------------------------------------------------------------
// CMobilePaintDocument::NewL()
// Two-phased constructor.
// -----------------------------------------------------------------------------
//
CMobilePaintDocument* CMobilePaintDocument::NewL (CEikApplication& aApp )
    {
    CMobilePaintDocument* self = NewLC (aApp );
    CleanupStack::Pop (self );
    return self;
    }

// -----------------------------------------------------------------------------
// CMobilePaintDocument::NewLC()
// Two-phased constructor.
// -----------------------------------------------------------------------------
//
CMobilePaintDocument* CMobilePaintDocument::NewLC (CEikApplication& aApp )
    {
    CMobilePaintDocument* self = new ( ELeave ) CMobilePaintDocument( aApp );

    CleanupStack::PushL (self );
    self->ConstructL ( );
    return self;
    }

// -----------------------------------------------------------------------------
// CMobilePaintDocument::ConstructL()
// Symbian 2nd phase constructor can leave.
// -----------------------------------------------------------------------------
//
void CMobilePaintDocument::ConstructL ( )
    {
    // No implementation required
    }

// -----------------------------------------------------------------------------
// CMobilePaintDocument::CMobilePaintDocument()
// C++ default constructor can NOT contain any code, that might leave.
// -----------------------------------------------------------------------------
//
CMobilePaintDocument::CMobilePaintDocument (CEikApplication& aApp ) :
    CAknDocument(aApp)
    {
    // No implementation required
    }

// ---------------------------------------------------------------------------
// CMobilePaintDocument::~CMobilePaintDocument()
// Destructor.
// ---------------------------------------------------------------------------
//
CMobilePaintDocument::~CMobilePaintDocument ( )
    {
    // No implementation required
    }

// ---------------------------------------------------------------------------
// CMobilePaintDocument::CreateAppUiL()
// Constructs CreateAppUi.
// ---------------------------------------------------------------------------
//
CEikAppUi* CMobilePaintDocument::CreateAppUiL ( )
    {
    // Create the application user interface, and return a pointer to it;
    // the framework takes ownership of this object
    return new ( ELeave )CMobilePaintAppUi;
    }

// End of File
